;;;; Elm mode configuration.
(require 'jenga-functions)
(instl 'elm-mode)
(instl 'lsp-mode)
(instl 'lsp-ui)
(instl 'yasnippet)

(add-hook 'elm-mode-hook #'company-mode)
(add-hook 'elm-mode-hook #'lsp)
(add-hook 'elm-mode-hook (lambda () (setq evil-auto-indent nil)))

(add-hook 'after-init-hook #'global-flycheck-mode)
(with-eval-after-load 'flycheck
      '(add-hook 'flycheck-mode-hook #'flycheck-elm-setup))

(add-to-list 'company-backends 'company-elm)
(define-key elm-mode-map (kbd "TAB") #'company-indent-or-complete-common)

;; Turn on Elm mode with *.elm files.
(add-to-list 'auto-mode-alist '("\\.elm\\'" . elm-mode))

(setq elm-format-on-save t
      elm-tags-on-save t
      elm-tags-exclude-elm-stuff nil)

(provide 'jenga-elm)
