;;;; Heml mode configuration.
(require 'jenga-functions)
(instl 'helm)

(require 'helm-config)

(helm-mode 1)
(setq helm-autoresize-max-height 0)
(setq helm-autoresize-min-height 20)
(helm-autoresize-mode 1)

;; The default "C-x c" is quite close to "C-x C-c", which quits Emacs.
;; Changed to "C-c h". Note: We must set "C-c h" globally, because we
;; cannot change `helm-command-prefix-key' once `helm-config' is loaded.
(global-set-key (kbd "C-c h") 'helm-command-prefix)
(global-unset-key (kbd "C-x c"))

(define-key helm-map (kbd "<tab>") 'helm-execute-persistent-action) ; rebind tab to run persistent action
(define-key helm-map (kbd "C-i") 'helm-execute-persistent-action) ; make TAB work in terminal
(define-key helm-map (kbd "C-z")  'helm-select-action) ; list actions using C-z

(when (executable-find "firefox")
  (setq helm-google-suggest-use-curl-p t))

(setq helm-split-window-in-side-p           t ; Open helm buffer inside current window, not occupy whole other window
      helm-move-to-line-cycle-in-source     t ; Move to end or beginning of source when reaching top or bottom of source.
      helm-ff-search-library-in-sexp        t ; Search for library in `require' and `declare-function' sexp.
      helm-scroll-amount                    8 ; Scroll 8 lines other window using M-<next>/M-<prior>
      helm-ff-file-name-history-use-recentf t
      helm-echo-input-in-header-line t)

(provide 'jenga-helm)
